R2PM(1)

NAME
r2pm - radare2 package manager

SYNOPSIS
r2pm [[adhHIipuUglsv]] [[pkg ...]]

DESCRIPTION
Allows to install, update, uninstall and discover plugins and tools that can be used with radare2.

-a, repo
    Adds an external r2pm repository, no arguments to -a will list all the registered repos, use '-a - repo' to unregister/remove those repos.

-I  Show information about repository and installed packages

-i pkgname
    Install a package

-e pkgname
    Open the package script with your favourite editor

-d pkgname
    Show source code of the r2pm package

-gi pkgname
    Install a package in the system directory

-u pkgname
    Uninstall a package

-uu pkgname
    Force uninstall a package

-U  Initialize or Update the package database

-UU Same as -U, but then upgrade all the installed packages

-gu pkgname
    Uninstall a package from the system directory

-l  List installed packages

-s keyword
    Search in database for packages matching keyword

-t YYYY-MM-DD
    Set the R2PM_TIME env var to tell the time to take package source from git

-r command ...args
    Run command with R2PM_BINDIR in PATH

-p  Requires -c to clean the R2PM_PLUGDIR

-v  Show version information

-h  Show usage help message

-H  List all special env-vars defined by r2pm internally

-H env-var-name
    Show value of given internal environment variable

-c  Clean the source cache

EXAMPLES

The database is initialized and pulled automatically, all the named actions have been deprecated, use only flags

Install a package

$ r2pm -i yara3

Install a test package (don't git pull on $R2PM_GITDIR/yara3)

$ R2PM_GITSKIP=1 r2pm -ci yara3

Avoid init/update calls (don't git pull on $R2PM_DBDIR)

$ R2PM_OFFLINE=1 r2pm -i yara

Uninstall a package

$ r2pm -u yara3

Search a package

$ r2pm -s yara

List installed packages

$ r2pm -l

ENVIRONMENT

SUDO=sudo R2PM_PLUGDIR=~/.local/share/radare2/plugins R2PM_BINDIR=~/.local/share/radare2/prefix/bin R2PM_OFFLINE=0 R2PM_DBDIR=~/.local/share/radare2/r2pm/db R2PM_GITDIR=~/.local/share/radare2/r2pm/git R2PM_GITSKIP= R2PM_TIME= R2_LOG_LEVEL R2PM_INCDIR R2PM_LIBDIR R2PM_PREFIX R2PM_LEGACY

SEE ALSO

radare2(1)